DBKSOL(3)

SYNOPSIS
SUBROUTINE DBKSOL (N, A, X)

NAME
dbksol - Subsidiary to DBVSUP

LIBRARY
SLATEC

TYPE
DOUBLE PRECISION (BKSOL-S, DBKSOL-D)

AUTHOR
Watts, H. A., (SNLA)

DESCRIPTION
********************************************************************** Solution of an upper triangular linear system by back-substitution The matrix A is assumed to be stored in a linear array proceeding in a row-wise manner. The vector X contains the given constant vector on input and contains the solution on return. The actual diagonal of A is unity while a diagonal scaling matrix is stored there. **********************************************************************

SEE ALSO
DBVSUP

ROUTINES CALLED
DDOT

REVISION HISTORY (YYMMDD)
750601 DATE WRITTEN
890831 Modified array declarations. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900328 Added TYPE section. (WRB)
910722 Updated AUTHOR section. (ALS)